testing::internal::RangeGenerator< T, IncrementT > Class Template Reference

`#include <gtest.h>`

Inheritance diagram for testing::internal::RangeGenerator< T, IncrementT >:

## Public Member Functions

| RangeGenerator (T begin, T end, IncrementT step)
| ~RangeGenerator () override
ParamIteratorInterface< T > * | Begin () const override
ParamIteratorInterface< T > * | End () const override
Public Member Functions inherited from testing::internal::ParamGeneratorInterface< T >
virtual | ~ParamGeneratorInterface ()

## Additional Inherited Members

Public Types inherited from testing::internal::ParamGeneratorInterface< T >
typedef T | ParamType

## Detailed Description

### template<typename T, typename IncrementT>
class testing::internal::RangeGenerator< T, IncrementT >

Definition at line 10743 of file gtest.h.

## Constructor & Destructor Documentation

## RangeGenerator()

template<typename T , typename IncrementT >

testing::internal::RangeGenerator< T, IncrementT >::RangeGenerator | ( | T | begin,
|  | T | end,
|  | IncrementT | step
| ) |  |

inline

Definition at line 10745 of file gtest.h.

## ~RangeGenerator()

template<typename T , typename IncrementT >

testing::internal::RangeGenerator< T, IncrementT >::~RangeGenerator | ( |  | ) |

inlineoverride

Definition at line 10748 of file gtest.h.

## Member Function Documentation

## Begin()

template<typename T , typename IncrementT >

ParamIteratorInterface<T>* testing::internal::RangeGenerator< T, IncrementT >::Begin | ( |  | ) | const

inlineoverridevirtual

Implements testing::internal::ParamGeneratorInterface< T >.

Definition at line 10750 of file gtest.h.

## End()

template<typename T , typename IncrementT >

ParamIteratorInterface<T>* testing::internal::RangeGenerator< T, IncrementT >::End | ( |  | ) | const

inlineoverridevirtual

Implements testing::internal::ParamGeneratorInterface< T >.

Definition at line 10753 of file gtest.h.

The documentation for this class was generated from the following file:

- test/eclipse-cygwin/lib/gtest/gtest.h